tcExtendTyVarEnv2 changed to tcExtendNameTyVarEnv
ClosedPublic

Authored by alanasp on May 24 2018, 4:15 PM.

Details

Summary

Signed-off-by: Alanas Plascinskas <alanas.pla@gmail.com>

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
alanasp created this revision.May 24 2018, 4:15 PM
mpickering requested changes to this revision.May 24 2018, 4:43 PM

Looks mostly good. Please can you explain in the commit message what is in the patch. (You can just edit that from the web interface.)

This revision now requires changes to proceed.May 24 2018, 4:43 PM
alanasp retitled this revision from compiler: fix trac issue #15017 to tcExtendTyVarEnv2 changed to tcExtendNameTyVarEnv.May 25 2018, 4:04 AM
mpickering accepted this revision.May 31 2018, 11:00 AM
This revision is now accepted and ready to land.May 31 2018, 11:00 AM

Also, while you are in the area do you think you could add comments to these functions explaining their purpose. The current comment offers good guidance regarding their limitations, but doesn't help the user understand what the functions actually *do*.

This revision was automatically updated to reflect the committed changes.